@echo off

REM ---------------------------------------------------------------------------------------
REM Runs the spatial object reprojector that allows LandSerf rasters and vectors to be
REM reprojected into new coordinate systems. Eliminates the bug in LandSerf2.1 that failed
REM to reproject from UTM in the Southern Hemisphere. For non-UTM or northern hemisphere files,
REM there is no need to use this addon.
REM To use, open a command prompt in Windows (Start menu -> Run... -> cmd)
REM and then change to the directory in which this file is located
REM (e.g. cd "Program files"\landserf210\addons) and type 'Reproject infile projType' 
REM where inFile is a LandSerf raster (.srf) or vector (.vec) and projType is one of UTM, LatLong,
REM OSGB or Swiss. For example,
REM Reproject c:\data\S11E149.srf UTM
REM This will create a new file called S11E149Reproj.srf in the same directory.
REM Version 1.1, 26th October, 2004.
REM Copyright Jo Wood, 2004.
REM ---------------------------------------------------------------------------------------

java -classpath .;../landserf210.jar;../utils.jar;../alloy.jar Reproject %1 %2
